Skip to main content

Get a Prospect

Get a Prospect

GET
/api/partners/v1/community/:community_id/prospects/:prospect_id

Request

Example requestGET
$ curl -X GET \
    -H "Authorization: Bearer YOUR_API_KEY" \
    "https://api.funnelleasing.com/api/partners/v1/community/1234/prospects/:prospect_id"

Response

Example responseJSON200 · application/json
{
"funnel_renter_id": 7,
"funnel_community_id": 1234,
"status": "string",
"lead_source": "Google My Business",
"move_in_date": "2023-04-26",
"layouts": [],
"created_at": "2023-04-26T02:08:12",
"people": [
{
"id": 7,
"first_name": "Mike",
"last_name": "Jones",
"email": "stilltippin@fofos.com",
"phone_1": "803-123-1234",
"phone_2": null,
"sms_opt_in": false,
"email_updates_opt_in": false,
"is_minor": false
}
],
"agents": [
{
"id": 24410,
"first_name": "John",
"last_name": "Doe",
"email": "john+doe@funnelleasing.com"
},
{
"id": 40502,
"first_name": "Richard",
"last_name": "Roe",
"email": "rick+roe@funnelleasing.com"
}
],
"listings": [
{
"funnel_unit_id": 7,
"property_address": "550 Memory Lane",
"property_internal_id": "123456"
}
],
"messages": [
{
"message": "Move-In Timeline : 5/26/2023\r\nTour Appointment Date/Time : 04-29-2023 01:15 PM\r\nLink : https://myperqleads.com/03dty03buze6c3xz\r\nAutomated SMS Opt-in : Yes\r\nLead Source : Google My Business\r\n\r\nCRM Qualification Date : 04-25-2023 09:08 PM (Central Daylight Time)",
"received_at": "2023-04-26T02:08:12"
}
],
"current_units": [
{
"unit_id": 42,
"unit_number": "204B"
}
]
}